<?php
/**
 * AmiClean/AmiSample configuration.
 *
 * @copyright  Amiro.CMS. All rights reserved.
 * @category   Module
 * @package    Config_AmiClean_AmiSample
 * @version    $Id: AmiClean_AmiSample_Meta.php 61414 2013-08-12 14:53:33Z Leontiev Anton $
 * @since      5.14.4
 * @filesource
 */

/**
 * AmiClean/AmiSample configuration metadata.
 *
 * @package    Config_AmiClean_AmiSample
 * @subpackage Model
 * @since      5.14.4
 */
class AmiClean_AmiSample_Meta extends AMI_HyperConfig_Meta{
    /**
     * Version
     *
     * @var string
     */
    protected $version = '1.1';

    /**
     * Array having locales as keys and captions as values
     *
     * @var array
     */
    protected $aTitle = array(
        'en' => 'Sample module',
        'ru' => 'Тестовый модуль'
    );

    /**
     * Array having locales as keys and meta data as values
     *
     * @var array
     */
    protected $aInfo = array(
        'en' => array(
            'description' => 'Sample AmiClean base hypermodule configuration',
            'author'      => '<a href="http://www.amirocms.com" target="_blank">Amiro.CMS</a>'
        ),
        'ru' => array(
            'description' => 'Тестовая конфигурация базового гипермодуля AmiClean',
            'author'      => '<a href="http://www.amiro.ru" target="_blank">Amiro.CMS</a>'
        )
    );

    /**
     * Array containing captions struct
     *
     * @var array
     */
    protected $aCaptions = array(
        '' => array(
          'header' => array(
            'obligatory' => TRUE,
            'type' => self::CAPTION_TYPE_STRING,
            'locales' => array(
              'en' => array(
                'name' => 'Top header',
                'caption' => 'SAMPLE MODULE',
              ),
              'ru' => array(
                'name' => 'Название (в шапке)',
                'caption' => 'ПРИМЕР МОДУЛЯ',
              ),
            ),
          ),
          'menu_group' => array(
            'obligatory' => FALSE,
            'type' => self::CAPTION_TYPE_STRING,
            'locales' => array(
                'en' => array(
                    'name' => 'Group menu caption',
                    'caption' => 'Sample Module Group',
                ),
                'ru' => array(
                    'name' => 'Заголовок группы в меню',
                    'caption' => 'Группа примера модуля',
                )
            )
          ),
          'menu' => array(
            'obligatory' => TRUE,
            'type' => self::CAPTION_TYPE_STRING,
            'locales' => array(
              'en' => array(
                'name' => 'Menu caption',
                'caption' => 'Sample Module',
              ),
              'ru' => array(
                'name' => 'Заголовок для меню',
                'caption' => 'Пример модуля',
              ),
            ),
          ),
          'description' => array(
            'obligatory' => FALSE,
            'type' => self::CAPTION_TYPE_TEXT,
            'locales' => array(
              'en' => array(
                'name' => 'Admin interface start page module description',
                'caption' => 'Sample instance of AmiClean base hypermodule / AmieSample configuration',
              ),
              'ru' => array(
                'name' => 'Описание модуля для стартовой страницы интерфейса администратора',
                'caption' => 'Пример экземпляра модуля конфигурации AmiSample базового гипермодуля AmiClean',
              ),
            ),
          ),
          'specblock' => array(
            'obligatory' => TRUE,
            'type' => self::CAPTION_TYPE_STRING,
            'locales' => array(
              'en' => array(
                'name' => 'First specblock caption for Site Manager',
                'caption' => 'First specblock',
              ),
              'ru' => array(
                'name' => 'Название первого спецблока для менеджера сайта',
                'caption' => 'Первый спецблок',
              ),
            ),
          ),
          'specblock:custom' => array(
            'obligatory' => TRUE,
            'type' => self::CAPTION_TYPE_STRING,
            'locales' => array(
              'en' => array(
                'name' => 'Second specblock caption for Site Manager',
                'caption' => 'Second specblock',
              ),
              'ru' => array(
                'name' => 'Название второго спецблока для менеджера сайта',
                'caption' => 'Второй спецблок',
              ),
            ),
          ),
        ),
      );
}
