<?php
/**
 * Module declaration code template.
 *
 * If your configuration is inherited from system hypermodule,
 * prefix your property names with 'cp_' to avoid conflicts with
 * system code.
 *
 * @copyright  Amiro.CMS. All rights reserved.
 * @category   Module
 * @package    Config_AmiClean_AmiSample
 * @version    $Id: properties.php 61273 2013-08-07 10:47:54Z Leontiev Anton $
 * @since      5.14.4
 * @filesource
 */
// {{}}
if($oDeclarator->isRegistered('##modId##')){
    $oMod = $oDeclarator->getModule('##modId##');

    // Module order in admin control panel
    $oMod->setProperty('taborder', $oDeclarator->getTabOrder('##modId##'));

    /**
     * Front specblocks
     *
     * @since 5.14.6
     * @see AmiClean_AmiSample_Meta
     */
    $oMod->setProperty('spec_blocks', array('spec_small_##modId##', 'spec_small_##modId##_custom'));

    /**
     * Supported front request types
     *
     * @since 5.14.6
     */
    $oMod->setProperty('front_request_types', array('plain'));

    /**
     * List of supported extension cunfigurations
     *
     * @since 5.14.10
     */
    $oMod->setProperty('supported_extensions', array('ami_ext/image'));

    /**
     * Image extension creating images postfixes
     *
     * @since 5.14.6
     */
    $oMod->setProperty(
        'ext_img_postfixes',
        array(
            'ext_img'       => '_pc',
            'ext_img_small' => '_sm'
        )
    );

    /**
     * @since 5.14.8
     */
    $oMod->setProperty('stop_arg_names', array('id' => '##modId##'));

    /**
     * Flag specifying using sublinks on front side
     *
     * @since 5.14.8
     */
    $oMod->setProperty('stop_use_sublinks', TRUE);
}
